ICU 77.1: Data Fields - Enumerator

ICU 77.1 77.1

### - d -

- DOM : icu::DateTimeRule
- DONE : icu::BreakIterator
- DOW : icu::DateTimeRule
- DOW_GEQ_DOM : icu::DateTimeRule
- DOW_LEQ_DOM : icu::DateTimeRule
- DT_CONTEXT_COUNT : icu::DateFormatSymbols
- DT_WIDTH_COUNT : icu::DateFormatSymbols

### - f -

- FRACTION_FIELD : icu::NumberFormat
- FULL : icu::DateFormat

### - g -

- GENERIC_LOCATION : icu::TimeZone

### - i -

- INTEGER_FIELD : icu::NumberFormat

### - k -

- kApproximatelySignSymbol : icu::DecimalFormatSymbols
- kArray : icu::Formattable
- kCompactField : icu::NumberFormat
- kCurrencyField : icu::NumberFormat
- kCurrencySymbol : icu::DecimalFormatSymbols
- kDate : icu::Formattable
- kDecimalSeparatorField : icu::NumberFormat
- kDecimalSeparatorSymbol : icu::DecimalFormatSymbols
- kDigitSymbol : icu::DecimalFormatSymbols
- kDouble : icu::Formattable
- kEightDigitSymbol : icu::DecimalFormatSymbols
- kExponentField : icu::NumberFormat
- kExponentialSymbol : icu::DecimalFormatSymbols
- kExponentMultiplicationSymbol : icu::DecimalFormatSymbols
- kExponentSignField : icu::NumberFormat
- kExponentSymbolField : icu::NumberFormat
- kFiveDigitSymbol : icu::DecimalFormatSymbols
- kFormatSymbolCount : icu::DecimalFormatSymbols
- kFourDigitSymbol : icu::DecimalFormatSymbols
- kFractionField : icu::NumberFormat
- kGroupingSeparatorField : icu::NumberFormat
- kGroupingSeparatorSymbol : icu::DecimalFormatSymbols
- kInfinitySymbol : icu::DecimalFormatSymbols
- kInt64 : icu::Formattable
- kIntegerField : icu::NumberFormat
- kIntlCurrencySymbol : icu::DecimalFormatSymbols
- kInvariant : icu::UnicodeString
- kLong : icu::Formattable
- kMaxFormat : icu::MessageFormat
- kMeasureUnitField : icu::NumberFormat
- kMinusSignSymbol : icu::DecimalFormatSymbols
- kMonetaryGroupingSeparatorSymbol : icu::DecimalFormatSymbols
- kMonetarySeparatorSymbol : icu::DecimalFormatSymbols
- kNaNSymbol : icu::DecimalFormatSymbols
- kNineDigitSymbol : icu::DecimalFormatSymbols
- kObject : icu::Formattable
- kOneDigitSymbol : icu::DecimalFormatSymbols
- kPadEscapeSymbol : icu::DecimalFormatSymbols
- kPatternSeparatorSymbol : icu::DecimalFormatSymbols
- kPercentField : icu::NumberFormat
- kPercentSymbol : icu::DecimalFormatSymbols
- kPermillField : icu::NumberFormat
- kPerMillSymbol : icu::DecimalFormatSymbols
- kPlusSignSymbol : icu::DecimalFormatSymbols
- kRoundCeiling : icu::NumberFormat
- kRoundDown : icu::NumberFormat
- kRoundFloor : icu::NumberFormat
- kRoundHalfCeiling : icu::NumberFormat
- kRoundHalfDown : icu::NumberFormat
- kRoundHalfEven : icu::NumberFormat
- kRoundHalfFloor : icu::NumberFormat
- kRoundHalfOdd : icu::NumberFormat
- kRoundHalfUp : icu::NumberFormat
- kRoundUnnecessary : icu::NumberFormat
- kRoundUp : icu::NumberFormat
- kSevenDigitSymbol : icu::DecimalFormatSymbols
- kSignField : icu::NumberFormat
- kSignificantDigitSymbol : icu::DecimalFormatSymbols
- kSixDigitSymbol : icu::DecimalFormatSymbols
- kString : icu::Formattable
- kThreeDigitSymbol : icu::DecimalFormatSymbols
- kTwoDigitSymbol : icu::DecimalFormatSymbols
- kZeroDigitSymbol : icu::DecimalFormatSymbols

### - l -

- LONG : icu::TimeZone
- LONG_GENERIC : icu::TimeZone
- LONG_GMT : icu::TimeZone

### - m -

- MAX_VALUE : icu::UnicodeSet
- MIN_VALUE : icu::UnicodeSet

### - n -

- NULLORDER : icu::CollationElementIterator

### - s -

- SHORT : icu::DateFormatSymbols , icu::TimeZone
- SHORT_COMMONLY_USED : icu::TimeZone
- SHORT_GENERIC : icu::TimeZone
- SHORT_GMT : icu::TimeZone
- STANDARD_TIME : icu::DateTimeRule

### - u -

- U_MF_BEST_EFFORT : icu::message2::MessageFormatter
- U_MF_STRICT : icu::message2::MessageFormatter
- UTC_TIME : icu::DateTimeRule
- UTIMEUNIT_FIELD_COUNT : icu::TimeUnit

### - w -

- WALL_TIME : icu::DateTimeRule